Page MenuHomePhabricator

UX review of Newsletter extension
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/Newsletter : masterSubmit filter form when choosing filter option without clicking submit button
mediawiki/extensions/Newsletter : masterRemove intro text from some pages
mediawiki/extensions/Newsletter : masterSwitch to neutral buttons and don't use destructive flag excessively

Event Timeline

Tinaj1234 assigned this task to violetto.
Tinaj1234 raised the priority of this task from to Medium.
Tinaj1234 updated the task description. (Show Details)
Tinaj1234 added a subscriber: Tinaj1234.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2016, 5:02 AM
Tinaj1234 set Security to None.Jan 23 2016, 5:31 AM
Tinaj1234 renamed this task from Design review of Newsletter extension by violetto to UX review of Newsletter extension by violetto.Jan 23 2016, 11:49 AM

Create a Newsletter

Tina and I spoke in length about the difference between "Name of newsletter" and "Title of Main page." She explained to me that they are pretty much the same. Including "Title of Main page" gives users an option to name their main page differently if they do not prefer using the "Name of Newsletter". We talked about if there were previous use cases where people needed that option or if newsletter names could be long that users need an alternative main page name. There was not enough info in this area but we did look into a list of current newsletter names, they typically contain 1-3 words as Newsletter title. We decided to remove the extra option but will listen to users if there is a need for an alternative name.

Other than that, this page is super clean, simple and understandable.


Newsletters

  • Although unsubscribe is a destructive action, we usually call it out when user is considering committing to a destructive action. You wouldn't want to call out a destructive action when a user is not thinking about it.
  • Make the filter UI more self-explanatory with as little as possible. When user make a selection with the dropdown, it should submit the form without having to click "Go".


General suggestions

  • Make main links more prominent—Create a Newsletter, Manage Newsletters, List of newsletters
  • Make the list consistent (it is center aligned on Manage Newsletters and left-aligned in List of Newsletters). I made it left-aligned for easy scanning down the list
  • The page explanation lines can be removed, for example "This page allows you to browse through a list of all newsletters on this wiki and allows users to subscribe to or unsubscribe from them. You can also choose your newsletter subscription options through the preferences interface." These interface are already very self explanatory. :)
  • I notice that OOjs UI is being used in the interface. I suggest using it thoroughly in your interface for consistency. Currently there are 2 different kinds of button styles across only 3 pages! :)



Other questions under "Manage Newsletter"

What would "Remove" do?

What is the purpose of the checkbox here?

Qgil awarded a token.Jan 25 2016, 12:39 PM

I hope that wasn't too overwhelming! What are you guys' thoughts on this, feel free to poke. :):)

Qgil added a comment.EditedJan 28 2016, 11:41 AM

All your decisions look sensible to me. Thank you!

Newsletters

@violetto, once the basics are covered, I would like to invite you act as the great creative designer you are, and to think of a functional and visually attractive design for this page. Newsletters are great, some people put a lot of effort on them. All publishers want as many subscribers as possible. Think of it, newsletters can be an entry point for readers not even considering editing today, if they discover that... Wikipedia has a newsletter about Archeology of the Pleistocene!!!

Our current Newsletter page provides the ability to subscribe, but is not doing great at creating a desire. Now, let's look at http://wikimedia-ui.wmflabs.org/#lists and think about the possibilities. What if newsletter publishers could define one image from Commons to illustrate their entry in Newsletters?

The problem is not trivial, what works for 15 newsletters might not work for 150, but I'm sure you may come up with good ideas. :)

Other questions under "Manage Newsletter"
What would "Remove" do?

It would remove the publisher in that row, if you would have permissions to do so. (If you wouldn't have such permissions, then you probably shouldn't even see that button).

What is the purpose of the checkbox here?

It tells you whether... mmm... Whether you are a publisher? But seeing your name or not should be enough. Hm, I don't know. :(

@violetto, once the basics are covered, I would like to invite you act as the great creative designer you are, and to think of a functional and visually attractive design for this page. Newsletters are great, some people put a lot of effort on them. All publishers want as many subscribers as possible. Think of it, newsletters can be an entry point for readers not even considering editing today, if they discover that... Wikipedia has a newsletter about Archeology of the Pleistocene!!!

I honestly heard very little about newsletter before this. I had no idea that they were so actively used, this is great, an opportunity like you mentioned. What kind of info typically get sent out to subscribers and what do members do within this channel? Is it largely just content consumption?

In other words, I wonder about the goal behind getting as many people subscribed as possible.

Also, how would someone navigate to the Archeology of the Pleistocene newsletter page from the Pleistocene article?

Our current Newsletter page provides the ability to subscribe, but is not doing great at creating a desire. Now, let's look at http://wikimedia-ui.wmflabs.org/#lists and think about the possibilities. What if newsletter publishers could define one image from Commons to illustrate their entry in Newsletters?

I like where this is going!

Other questions under "Manage Newsletter"
What would "Remove" do?

It would remove the publisher in that row, if you would have permissions to do so. (If you wouldn't have such permissions, then you probably shouldn't even see that button).

Couple more questions:
If a person is not a publisher, will the username appear on that list?
If I removed "publisher" status of a user, what would happen? Will username be removed from the list as well?

What is the purpose of the checkbox here?

It tells you whether... mmm... Whether you are a publisher? But seeing your name or not should be enough. Hm, I don't know. :(

If the checkbox is not doing much, I'd say remove it since it will not be actionable, unless this is wrong?

Btw, I'll be happy to provide continuous design support on this project. Thanks for asking!

Change 267448 had a related patch set uploaded (by Glaisher):
Switch to neutral buttons and don't use destructive flag excessively

https://gerrit.wikimedia.org/r/267448

Change 267449 had a related patch set uploaded (by Glaisher):
Remove intro text from some pages

https://gerrit.wikimedia.org/r/267449

Change 267448 merged by jenkins-bot:
Switch to neutral buttons and don't use destructive flag excessively

https://gerrit.wikimedia.org/r/267448

Change 267449 merged by jenkins-bot:
Remove intro text from some pages

https://gerrit.wikimedia.org/r/267449

Change 267549 had a related patch set uploaded (by Glaisher):
Submit filter form when choosing filter option without clicking submit button

https://gerrit.wikimedia.org/r/267549

Hi @violetto. Thanks for the feedback and sorry about the delay in response!

Regarding Special:ManageNewsletters, I've been meaning to replace it in favour of a new page with an OOUI form under Special:Newsletter namespace for a long time now (T107555). I'm not sure why the checkboxes are there (I find it confusing too) and it was there when I first saw the page too but I guess it made sense when there was the ownership system. It probably should have been removed when the ownership system was also removed. There are also some other issues with this page which I've mentioned elsewhere.
Initially, I was thinking of having a form with checkboxes for removing and a text input field for adding publishers, but because I didn't like that much (and due to an issue with HTMLForm which requires some major refactoring there to get it fixed), I dropped that idea. Now I am thinking of using a JS form with a CapsuleMultiSelectWidget and a fallback for non-JS with a multiline textarea field with the publishers' list. Do you have any suggestions to implement this in a user friendly way? :)

Change 267549 merged by jenkins-bot:
Submit filter form when choosing filter option without clicking submit button

https://gerrit.wikimedia.org/r/267549

Qgil added a comment.Apr 1 2016, 10:20 AM

I have created T131462: Redesign List of Newsletters page. I think the rest of urgent/important points of this review have been addressed. Further improvements to the UI are welcomed, but they can probably wait for the arrival and feedback of real users creating / publishing / subscribing...

Quiddity renamed this task from UX review of Newsletter extension by violetto to UX review of Newsletter extension.Nov 23 2016, 10:41 PM
Quiddity removed violetto as the assignee of this task.
Quiddity removed a project: Patch-For-Review.
Quiddity added a subscriber: violetto.
Qgil closed this task as Resolved.Dec 8 2016, 7:39 AM
Qgil claimed this task.

I have created T131462: Redesign List of Newsletters page. I think the rest of urgent/important points of this review have been addressed. Further improvements to the UI are welcomed, but they can probably wait for the arrival and feedback of real users creating / publishing / subscribing...

Resolving accordingly.